.input-container input,
.input-container select {
  width: 100%;
  height: 100%;
}

.choices-container,
.input-container {
  position: relative;
}
.input-container input:not([type="radio"]):not(.choices__input):not(.button) {
  padding-right: 40px;
}
.input-container .htmx-indicator,
.choices-container .autosave-indicator,
.input-container .autosave-indicator {
  position: absolute;
  height: 20px;
  width: 20px;
  --_negative-margin-right: var(--negative-margin-right, 0px);
  right: calc(10px + var(--_negative-margin-right));
  bottom: calc(50% - 10px);
}
.input-container select ~ .htmx-indicator,
.input-container .choices ~ .htmx-indicator,
.choices-container .autosave-indicator,
.input-container select ~ .autosave-indicator {
  right: 32px;
}
.language-mapper.autosaving .language-mapper--select {
  position: relative;
}
.input-container .choices ~ .autosave-indicator,
.choices-container .autosave-indicator,
.language-mapper.autosaving .autosave-indicator {
  right: 32px;
}
.autosave-indicator {
  opacity: 0;
  visibility: hidden;

  transition:
    visibility 0s linear 300ms,
    opacity 200ms ease-in;
}

.autosave-indicator-error {
  opacity: 0;
}
.autosave-error .autosave-indicator-error {
  opacity: 1;
  visibility: visible;
  transition:
    visibility 0s linear 0s,
    opacity 200ms ease-in;
}
.htmx-request.autosave-error .autosave-indicator-error {
  opacity: 0;
  visibility: hidden;
}
